Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# AnyTypeCode_Adapter.h File Reference

`#include "tao/TAO_Export.h"`
`#include "ace/Service_Object.h"`
`#include "ace/CDR_Stream.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for AnyTypeCode_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Classes
class | TAO_AnyTypeCode_Adapter
## Defines
#define | ANYTYPECODE__EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name) virtual CORBA::TypeCode_ptr _tao_type_ ## name (void) const = 0;
## Typedefs
typedef TypeCode * | TypeCode_ptr
typedef Policy * | Policy_ptr

## Detailed Description

Id
  AnyTypeCode_Adapter.h,v 1.4 2006/02/21 19:15:29 jwillemsen Exp

Author:
  Johnny Willemsen <jwillemsen@remedy.nl>

## Define Documentation

#define ANYTYPECODE__EXCEPTION_LIST

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) | virtual CORBA::TypeCode_ptr _tao_type_ ## name (void) const = 0;

## Typedef Documentation

typedef Policy * CORBA::Policy_ptr

typedef TypeCode * CORBA::TypeCode_ptr